Get invoice
curl --request GET \
--url https://api.contracting.kukkingu.software/api/v1/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.contracting.kukkingu.software/api/v1/invoices/{invoiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.contracting.kukkingu.software/api/v1/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "inv_mqxd1kc6bgtcc676xoqzax47",
"contract": "ctr_z23aoo8naxk68ewcr64tchh5",
"status": "FINALIZED",
"invoiceNumber": "INV-2025-0001",
"currencyCode": "EUR",
"subtotalMinor": 5000,
"totalMinor": 5000,
"billableCount": 4503599627370495,
"createdAt": "2023-10-05T14:48:00.000Z",
"updatedAt": "2023-10-05T14:48:00.000Z",
"issuedAt": "2023-10-05T14:48:00.000Z",
"dueAt": "2023-10-05T14:48:00.000Z",
"paidAt": "2023-10-05T14:48:00.000Z"
}
}{
"error": "Unauthorized",
"message": "Unauthorized"
}{
"error": "Forbidden",
"message": "Forbidden"
}{
"error": "NotFound",
"message": "Not Found"
}Invoices
Get invoice
Retrieves a single invoice by its ID.
GET
/
api
/
v1
/
invoices
/
{invoiceId}
Get invoice
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the invoice.
Example:
"inv_mqxd1kc6bgtcc676xoqzax47"
Query Parameters
Comma-separated list of relations to expand. Allowed values: contract, contract.client, contract.clientAddress, contract.tenantAddress.
Example:
"contract,contract.client,contract.clientAddress,contract.tenantAddress"
Response
Default Response
Standard success response payload wrapped in a data property.
Invoice resource returned by the API.
Show child attributes
Show child attributes